Bug 1029409 - Auto-enable ejb3 statistics when a user requests calltime metrics for EJBs
Summary: Auto-enable ejb3 statistics when a user requests calltime metrics for EJBs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER05
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Garik Khachikyan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-12 11:07 UTC by Heiko W. Rupp
Modified: 2018-11-02 13:17 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 13:59:54 UTC


Attachments (Terms of Use)
mvn clean install of: github/jboss-eap-quickstarts/helloworld-singleton (8.74 KB, application/zip)
2014-11-07 14:00 UTC, Garik Khachikyan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1147930 None None None Never
Red Hat Bugzilla 1628631 None None None Never

Internal Trackers: 1147930 1628631

Description Heiko W. Rupp 2013-11-12 11:07:24 UTC
If a user requests call time metrics for EJB methods,
we should automatically switch that on in subsystem=ejb3

Comment 1 Jay Shaughnessy 2014-09-05 02:05:35 UTC
I'm not exactly sure what this means, or entails.  I'll set to ER04 for Heiko to work on or push out of 3.3.0.

Comment 2 Libor Zoubek 2014-09-05 08:53:33 UTC
By default collecting ejb statistics is disabled on stock EAP. in JON .. if user want's to get EJB calltimes he has to 
1. enable statistics via ejb subsystem configuration
2. enable Calltime metrics.

This bz is about plugin being able to do step 1. within step2. This code could probably go to Ejb3BeanRuntimeComponent where we collect ejb calltimes and enable ejb stats in case we do not read any values. Plugin will then enable stats on the 1rst call-time request.

Comment 3 Heiko W. Rupp 2014-09-26 08:47:29 UTC
That sounds like a good plan Libor.


The more generic solution would probably be that if the user enables the schedule on the server, the server pushes that down the agent, where the agent should find the correct plugin and then tell the plugin to enable collection. This way we could also support other plugins and not only as7 one.

Comment 4 Simeon Pinder 2014-09-29 08:12:58 UTC
Moving into ER05 as didn't make the ER04 cut.

Comment 5 Libor Zoubek 2014-09-30 13:57:37 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/c6fdf436a
time:    2014-09-30 15:56:48 +0200
commit:  c6fdf436a3bbaf2d1c3ea6984b98fb359a98796b
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1029409 - Auto-enable ejb3 statistics when a user requests calltime 
         metrics for EJBs
         Whenever callTime metric is requested, ensure that global EJB3
         statistics are enabled on server.

Comment 6 Libor Zoubek 2014-10-02 05:27:40 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/87f7ea8fc
time:    2014-10-02 07:26:56 +0200
commit:  87f7ea8fcf4b5d90afad2f6feb1202bc2bb13eab
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1029409 - Auto-enable ejb3 statistics when a user requests calltime 
         metrics for EJBs

         Fix NPE when enable-statistics is undefined

Comment 7 Jirka Kremser 2014-10-03 11:42:52 UTC
branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/bd45164d5
time:    2014-10-03 13:41:42 +0200
commit:  bd45164d58771d77021dea210f78761a622d3323
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1029409 - Auto-enable ejb3 statistics when a user requests calltime 
         metrics for EJBs

         Fix NPE when enable-statistics is undefined

         (cherry picked from commit
         87f7ea8fcf4b5d90afad2f6feb1202bc2bb13eab) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>
         


branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/4e5fc3224
time:    2014-10-03 13:41:30 +0200
commit:  4e5fc322439aff28ea37b74ab0d43e163f73a184
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1029409 - Auto-enable ejb3 statistics when a user requests calltime 
         metrics for EJBs

         Whenever callTime metric is requested, ensure that global EJB3
         statistics are enabled on server.

         (cherry picked from commit
         c6fdf436a3bbaf2d1c3ea6984b98fb359a98796b) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>

Comment 8 Simeon Pinder 2014-10-21 20:24:38 UTC
Moving to ON_QA as available to test with the latest brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=394734

Comment 10 Garik Khachikyan 2014-11-07 13:59:36 UTC
# VERIFIED

Deploying following war in EAP6 Standalone and enabling the calltime metric "Method Execution Time" it also does enables "Enable Statistics" for "Subsystems->Container->ejb3" (referring through UI I am able to see it set as "Yes").

Hint: refer to "#Resource/AutoGroup/10032/Monitoring/Schedules" (inventory resource: "ejb3 ( Singleton Bean Runtime )") of that war deployment to enable that runtime setting.

Comment 11 Garik Khachikyan 2014-11-07 14:00:28 UTC
Created attachment 954949 [details]
mvn clean install of: github/jboss-eap-quickstarts/helloworld-singleton


Note You need to log in before you can comment on or make changes to this bug.